
//------------------------------------------------door


#declare rivet = cylinder { <0,-.2,0>, <0,.2,0>, .5
rotate x*90
translate z*-1.4
translate y*8.875
translate x*-6.49 }

#declare rivrow = union {
object { rivet }
object { rivet translate x*(15/6)*2 }
object { rivet translate x*(15/6)*3 }
object { rivet translate x*(15/6)*4 }
object { rivet translate x*(15/6)*5 }
object { rivet translate x*(15/6) } }

#declare rivcolumn = union {
object { rivet translate y*(19.5/-7.5) }
object { rivet translate y*(19.5/-7.5)*2 }
object { rivet translate y*(19.5/-7.5)*3 }
object { rivet translate y*(19.5/-7.5)*4 }
object { rivet translate y*(19.5/-7.5)*5 }
object { rivet translate y*(19.5/-7.5)*6 }
}

#declare door = union {
object { rivcolumn }
object { rivcolumn translate x*(6.49*2.03) }

box { <-.5,-.5,-.5>, <.5,.5,.5>
 scale <15,19.5,2> }

difference {
box { <-.5,-.5,-.5>, <.5,.5,.5>
 scale <14.999,19.499,2.5> }
box { <-.5,-.5,-.5>, <.5,.5,.5>
scale <11.5,16,3> }
}

object { rivrow }
object { rivrow translate y*(8.875)*-2 }

texture { T_Brass_3A }  translate y*9.75 }





//-----------------------------declare field

#declare outsideshell = difference {
cone { <0,0,0>, 63 <0,20,0>, 52 texture { cement } texture { rust
scale <2,36,2>  translate <18,-10,0> }
 }
cylinder { <0,26,0>, <0,-1,0>, 49 pigment { color White }}
}

#declare doorcutout = box {
 <-.5,-.5,-.5>, <.5,.5,.5> texture { cement }
 texture { rust scale <2,36,2>  translate <18,-10,0> }
  scale <15,19.5,45> translate <0,9.75,-63> }

#declare toprims = merge {
cylinder { <0,25,0>, <0,19.9,0>, 50 pigment { color Red }}
cylinder { <0,27,0>, <0,23,0>, 52 texture { cement }
 texture { rust scale <2,30,2>  } }
}

#declare pillar = union {

 sphere { <64,40,0>, 1 pigment { color rgb <1,1,.9> } finish  { ambient 1  }
    no_shadow  rotate y*45 }
 light_source { <64,40,0> color rgb <1,1,.9>
   rotate y*45
   fade_distance 20 fade_power 2}
 object { DomeEdges texture
   { pigment { Gray70 }
   finish { phong 1 phong_size 200 metallic 1 }} scale 4 translate <64,40,0> rotate y*45 }
 cone { <64,-.001,0>, 8, <64,36,0>, 4 texture { cement } texture { rust scale <2,36,2> translate y*2 } rotate y*45 }
}

#declare bpillar = cone { <64,-.001,0>, 10, <64,36,0>, 6 texture { cement } rotate y*45 }



//------------------------------ objects

//main dome
object { DomeFaces texture { bdome_t }
  scale 50 translate <0,25,0> }

// building

difference {
 merge {
  object { toprims }
  difference {
   object { outsideshell }
   object { doorcutout }
  }
 }
 object { bpillar rotate y*0 }
 object { bpillar rotate y*90 }
 object { bpillar rotate y*180 }
 object { bpillar rotate y*270 }
}

// real pillars

 object { pillar rotate y*0 }
 object { pillar rotate y*90 }
 object { pillar rotate y*180 }
 object { pillar rotate y*270 }

//door obj
object { door   translate z*-50  }

// ---------------------------------sky n' fog


#declare star = disc { <0,0,0>, <1,0,0>, 1 pigment { onion
 color_map {
  [ 0 rgbt <1,1,1,-1> ]
  [ 1 rgbt <.15,.15,.7,1> ] }
  }
  finish { ambient 1 diffuse 0 }
  scale 5
   }

#declare counter =  0
#declare R1 = seed(5)

union {
#while (counter < 10000 )
#declare s = rand(R1)*1.3
#declare Y = rand(R1)*360
#declare Z = rand(R1)*180
object { star scale s
  translate x*1000
  rotate <0,Y,Z> }
#declare counter = counter + 1
#end
rotate x*-90 translate y*-100}




fog {
distance 600
color  rgb <.45,.45,.5>
turbulence 1
fog_type 2
fog_offset 0
fog_alt 20
}



